
/********************************************************************+*********************
 MACHT AUS QUELLCODE

<div class="section">
	<h2 class="section_heading" id="section_1"><span>Allgemeines</span></h2>
	<div class="section_content">
		...
	</div>
	<a href="#section_1" class="section_anchors">&&#8593;Einen Abschnitt zurück springen</a>
</div>



PER JS IM GESCHLOSSENEN ZUSTAND

<div class="section">
	<h2 class="section_heading clickable" id="section_1"><button class="closed">Anzeigen</button><span>Allgemeines</span></h2>
	<div class="section_animWrapper">
		<div class="section_content toAnimate" >
			...
		</div>
		<a href="#section_1" class="section_anchors toAnimate">Diesen Abschnitt schließen</a>
	</div>
</div>


PER JS IM GEÖFFNETEN ZUSTAND

<div class="section">
	<h2 class="section_heading clickable" id="section_1"><button class="opened">Ausblenden</button><span>Allgemeines</span></h2>
	<div class="section_animWrapper">
		<div class="section_content toAnimate" >
			...
		</div>
		<a href="#section_1" class="section_anchors toAnimate">Diesen Abschnitt schließen</a>
	</div>
</div>

*******************************************************************************************/


function sectionFolderWidgetAssets(section) {

	var headers = section.find('.section_heading')
					.addClass('clickable')
					.addClass('closed')
					.prepend('<button class="closed">Anzeigen</button>');

	var content = section.find('.section_content')
					.addClass('toAnimate');

	var anchors = section.find('.section_anchors')
					.addClass('toAnimate')
					.text('Diesen Abschnitt schließen');

	// In jedem Folder werden der Inhalt und der Nach-oben-Anchor
	// zusammen gewrapped, damit sie gemeinsam animiert werden können.
	// Beim Wrappen werden die Scripts erneut ausgeführt, so dass die Rechner zweimal erscheinen würden.
	// Deshalb vor dem Wrap-Aufruf alle Script-Tags löschen, damit Sie nicht erneut aufgerufen werden.
//	$('script').remove(); // Das hat zu Fehler geführt, weill alle Scripts der Seite gelöscht wurden...
	section.find('script').remove();
	section.each(function() {
		$(this).find('.toAnimate').wrapAll('<div class="section_animwrapper" />');
	});
	var animWrapper = section.find('.section_animwrapper').hide();


	// Events
	headers.click(function(e) {
		e.preventDefault();
		$(this).next('.section_animwrapper').stop().slideToggle('slow');
		setState($(this));

	});
	anchors.click(function(e) {
		e.preventDefault();
		$(this).parent('.section_animwrapper').stop().slideToggle('slow');

		var sect_header = $(this).parent('.section_animwrapper').prev('.section_heading');
		setState(sect_header);

	});
}




function setState(header) {

	if (header.hasClass('closed'))
	{
		header.removeClass('closed').addClass('opened');
		header.find('button').text('Ausblenden');
	}
	else if (header.hasClass('opened'))
	{
		header.removeClass('opened').addClass('closed');
		header.find('button').text('Anzeigen');
	}
}




